/* #region @keyframes */
@keyframes slideUp {
	from {
		opacity: 0;
		translate: 0 var(--px32);
	}

	to {
		opacity: 1;
		translate: 0 0;
	}
}

/* #endregion */
/* #region @prefers-reduced-motion */
@media (prefers-reduced-motion: reduce) {
	*, *::before, *::after {
		animation-delay: 0s !important;
		animation-duration: 0s !important;
		scroll-behavior: auto !important;
		transition-delay: 0s !important;
		transition-duration: 0s !important;
	}
}

/* #endregion */
/* #region Elements */
@view-transition {
	navigation: auto;
}

*, *::before, *::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

a {
	color: var(--maroon700);
	text-decoration: none;
	text-underline-offset: var(--px03);
	transition: var(--transition);
}

body {
	background-color: var(--grey900);
	color: var(--grey700);
	font-family: var(--font-sans);
}

h1, h2, h3 {
	font-weight: 700;
	text-wrap: balance;
}

hr {
	border: 0;
	border-top: var(--px02) solid var(--grey100);
	margin-block: var(--px48);
}

html {
	scroll-behavior: smooth;
	scrollbar-gutter: stable;

	&:has(.nav-open) {
		overflow: hidden;
	}
}

img {
	display: block;
	max-width: 100%;
}

p {
	line-height: 1.6;
	margin-bottom: var(--px20);
	text-wrap: pretty;
}

/* #endregion */
/* #region Global */
.btn {
	background-color: var(--maroon700);
	border: var(--px02) solid var(--grey100);
	border-radius: var(--radius);
	color: var(--grey100);
	display: inline-block;
	font-weight: 700;
	letter-spacing: var(--px03);
	line-height: 1;
	padding: var(--px16) var(--px20);
	text-transform: uppercase;
	transition: var(--transition);

	&:hover {
		background-color: var(--maroon500);
		border-color: white;
		text-decoration: none;
	}
}

.content {
	margin-inline: auto;
	width: min(85%, 1200px);
}

/* #endregion */
/* #region Nav */
.nav {
	justify-self: end;
	letter-spacing: var(--px02);
	margin-top: var(--px16);
	text-transform: uppercase;

	@media (width < 900px) {
		justify-self: auto;
		text-align: center;
	}

	&.nav-open {
		@media (width < 900px) {
			margin-bottom: var(--px16);
			max-height: 400px;
		}
	}
}

.nav-grid {
	align-items: center;
	display: grid;
	gap: var(--px06) 2vw;
	grid-auto-flow: column;

	@media (width < 900px) {
		grid-auto-flow: row;
		max-height: 0;
		overflow: hidden;
		transition: max-height .5s;
	}

	a {
		border-bottom: var(--px02) solid transparent;
		color: white;
		display: inline-block;
		font-weight: 700;
		padding-bottom: var(--px08);
		transition: var(--transition);

		@media (width < 900px) {
			border: 0;
			line-height: 1;
		}

		&:hover {
			border-color: white;
			color: white;
			text-decoration: none;
		}
	}
}

.nav-toggle {
	color: white;
	display: none;
	font-size: var(--fz24);
	margin: 0 auto;

	@media (width < 900px) {
		display: block;
		font-size: var(--fz20);
		transition: var(--transition);
	}

	&:hover {
		cursor: pointer;
	}
}

/* #endregion */
/* #region Header */
.header {
	padding-block: var(--px20);
	position: fixed;
	transition: var(--transition);
	width: 100%;
	z-index: 10;

	@media (width < 900px) {
		background-color: var(--maroon700-90);
	}

	&.scrolled {
		background-color: var(--maroon700);
	}
}

.header-grid {
	display: grid;
	grid-template-columns: auto 1fr;
	justify-items: center;

	@media (width < 900px) {
		grid-template-columns: auto;
	}

	.logo {
		transition: var(--transition);
		width: 240px;

		@media (width < 900px) {
			width: 180px;
		}

		&.scrolled {
			width: 120px;
		}
	}
}

/* #endregion */
/* #region Footer */
.footer {
	color: var(--grey500);
	padding-block: var(--px80);

	.disclosure {
		font-size: var(--fz14);
	}
}

.footer-grid {
	display: grid;
	gap: var(--px32) var(--px80);
	grid-template-columns: auto auto 1fr;
	margin-bottom: var(--px32);

	@media (width < 800px) {
		grid-template-columns: auto;
	}

	h2 {
		font-size: var(--fz16);
		letter-spacing: var(--px02);
		margin-bottom: var(--px16);
		text-transform: uppercase;
	}

	p {
		margin-bottom: 0;
	}
}

.footer-legal {
	font-size: var(--fz14);
	justify-self: end;

	@media (width < 800px) {
		justify-self: auto;
	}

	a {
		color: var(--grey300);
		display: block;
		margin-bottom: .5lh;
		transition: var(--transition);
		width: fit-content;

		&:hover {
			color: white;
			text-decoration: underline;
		}
	}
}

@media (width < 700px) {
	.footer-adv a:not(:last-child)::after {
		content: "";
		margin-inline: 0;
	}
}

/* #endregion */
/* #region Hero */
.hero {
	background: url("https://ripcord.sirv.com/AutumnGlory/AdobeStock_205006714.jpeg?w=2600&saturation=-20&lightness=20&shadows=-5") center/cover no-repeat;
	color: white;
	text-align: center;

	h1 {
		animation: slideUp 1.5s ease both;
		font-size: var(--fz48);
		font-weight: 600;
		letter-spacing: var(--px01);
		margin: 0 auto var(--px20);
	}

	h2 {
		animation: slideUp 1.5s ease both;
		animation-delay: .5s;
		font-size: var(--fz32);
		font-weight: 400;
		margin-bottom: var(--px48);
	}

	.btn {
		animation: slideUp 1.5s ease both;
		animation-delay: 1s;
	}
}

.hero-container {
	min-height: 90vh;
	padding-top: 30vh;
}

/* #endregion */
/* #region Home */
.home-fiduciary {
	background-color: var(--grey500);
	color: white;
	padding-block: var(--px64);
	text-align: center;

	p {
		font-size: var(--fz24);
		margin-inline: auto;
		max-width: 70ch;
	}
}

.home-intro {
	background: linear-gradient(to right, white 60%, var(--grey300) 60%);
	padding-block: var(--px80);

	@media (width < 1000px) {
		background: white;
		padding-top: var(--px32);
	}

	a:hover {
		text-decoration: underline;
	}

	h2 {
		font-size: var(--fz32);
		margin-bottom: var(--px28);
	}
}

.home-intro-grid {
	display: grid;
	gap: var(--px48);
	grid-template-columns: 1fr 1fr;

	@media (width < 1000px) {
		grid-template-columns: auto;
	}
}

.home-intro-text {
	background: url("https://ripcord.sirv.com/AutumnGlory/leaf.png?opacity=70") center var(--px32) no-repeat;
	font-size: var(--fz18);
}

.home-wordcloud {
	background-color: var(--grey100);
	padding-block: var(--px96);

	img {
		margin-inline: auto;
		max-width: 75%;

		@media (width < 900px) {
			max-width: 100%;
		}
	}
}

/* #endregion */
/* #region Sub */
.sub {
	background: white;
	padding: var(--px64) 0;

	a:hover {
		text-decoration: underline;
	}

	h1 {
		font-size: var(--fz36);
		margin-bottom: var(--px16);
	}

	h2 {
		font-size: var(--fz24);
		margin-block: var(--px40) var(--px08);
	}

	img {
		border-radius: var(--radius);
	}
}

.sub-graphic {
	max-width: 70%;

	@media (width < 900px) {
		max-width: 100%;
	}
}

.sub-hero {
	background: url("https://ripcord.sirv.com/AutumnGlory/AdobeStock_205006714.jpeg?w=2600&saturation=-20&lightness=20&shadows=-5") center/cover no-repeat;
	color: white;
	height: 30vh;
}

.sub-tagline {
	color: var(--grey500);
	font-size: var(--fz24);
	line-height: 1.5;
	margin: var(--px28) 0 var(--px04);
}

/* #endregion */
/* #region Sub-About */
.sub-about-grid {
	display: grid;
	gap: var(--px32) 5vw;
	grid-template-columns: repeat(3, auto);

	@media (width < 1000px) {
		grid-template-columns: auto auto;
	}

	@media (width < 700px) {
		grid-template-columns: auto;
	}

	h2 {
		margin-top: 0;
	}

	i {
		font-size: var(--fz28);
		margin-bottom: var(--px12);
	}
}

.sub-about-timeline {
	margin-top: var(--px96);
	position: relative;

	.date {
		font-size: var(--fz24);
		font-weight: 700;
		grid-area: 1/1;
		justify-self: right;

		@media (width < 700px) {
			grid-area: 1/1;
			justify-self: unset;
		}
	}

	.dot {
		aspect-ratio: 1;
		background-color: darkgrey;
		border-radius: 50%;
		grid-area: 1/2;
		height: var(--px24);

		@media (width < 700px) {
			display: none;
		}
	}

	.grid {
		display: grid;
		gap: var(--px48);
		grid-template-columns: 1fr auto 1fr;
		margin-top: var(--px64);

		@media (width < 700px) {
			gap: var(--px16);
			grid-template-columns: auto;
			grid-template-rows: auto auto;
		}

		&:nth-child(even) .date {
			grid-area: 1/3;
			justify-self: left;

			@media (width < 700px) {
				grid-area: 1/1;
			}
		}

		&:nth-child(even) .text {
			grid-area: 1/1;

			@media (width < 700px) {
				grid-area: 2/1;
			}
		}
	}

	.line {
		--extra-height: var(--px64);
		background: linear-gradient(to bottom, transparent, darkgrey 2%, darkgrey 95%, transparent);
		height: calc(100% + (2 * var(--extra-height)));
		left: calc(50% - var(--px02));
		position: absolute;
		top: calc(-1 * var(--extra-height));
		width: var(--px04);

		@media (width < 700px) {
			display: none;
		}
	}

	.text {
		background: var(--grey100);
		border-radius: var(--radius);
		grid-area: 1/3;
		padding: var(--px32);

		@media (width < 700px) {
			grid-area: 2/1;
		}

		h3 {
			margin-bottom: var(--px08);
		}
	}
}

/* #endregion */
/* #region Sub-Contact */
.sub-contact-address-grid {
	display: grid;
	gap: var(--px16);
	grid-template-columns: 150px auto;
	margin-bottom: var(--px16);
}

.sub-contact-grid {
	display: grid;
	gap: var(--px80);
	grid-template-columns: 1fr 1fr;

	@media (width < 1000px) {
		grid-template-columns: auto;
	}

	h2 {
		font-size: var(--fz24);
		margin-block: 0 var(--px08);
	}
}

/* #endregion */
/* #region Sub-Team */
.sub-team-bio {
	h2 {
		font-size: var(--fz24);
		margin-block: var(--px16) var(--px04);
	}

	img {
		filter: saturate(0);
		margin-bottom: var(--px08);
		width: 250px;
	}
}

.sub-team-grid {
	display: grid;
	gap: var(--px80);
	grid-template-columns: 1fr 1fr;

	@media (width < 900px) {
		grid-template-columns: auto;
	}
}

.sub-team-role {
	font-size: var(--fz20);
	font-weight: 700;
	margin-bottom: var(--px16);
}

/* #endregion */